# Class Util.DecoderMatch

java.lang.Object
org.apache.tomcat.websocket.Util.DecoderMatch

Enclosing class:
  `Util`

public static class Util.DecoderMatch extends Object

## Constructor Summary

Constructors
Constructor
Description
`DecoderMatch(Class<?> target, List<DecoderEntry> decoderEntries)`

## Method Summary

Modifier and Type
Method
Description
`List<Class<? extends Decoder>>`
`getBinaryDecoders()`
`Class<?>`
`getTarget()`
`List<Class<? extends Decoder>>`
`getTextDecoders()`
`boolean`
`hasMatches()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecoderMatch

public DecoderMatch(Class<?> target, List<DecoderEntry> decoderEntries)

## Method Details

### getTextDecoders

public List<Class<? extends Decoder>> getTextDecoders()

### getBinaryDecoders

public List<Class<? extends Decoder>> getBinaryDecoders()

### getTarget

public Class<?> getTarget()

### hasMatches

public boolean hasMatches()